## imcode.util
Class FallbackDecoder

    java.lang.Object
      imcode.util.FallbackDecoder

    public class FallbackDecoder

extends java.lang.Object

Constructor Summary
`FallbackDecoder(java.nio.charset.Charset charset, java.nio.charset.Charset fallbackCharset)`

Method Summary
`java.lang.String` `decodeBytes(byte[] inputBytes, java.lang.String sourceName)`
`java.nio.charset.Charset` `getFallbackCharset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FallbackDecoder

    public FallbackDecoder(java.nio.charset.Charset charset,
                           java.nio.charset.Charset fallbackCharset)

Method Detail

### decodeBytes

    public java.lang.String decodeBytes(byte[] inputBytes,
                                        java.lang.String sourceName)

### getFallbackCharset

    public java.nio.charset.Charset getFallbackCharset()